# Personal Details(KYC)

## GET /personal-details/

> Read Personal Details

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/personal-details/":{"get":{"tags":["Personal Details(KYC)"],"summary":"Read Personal Details","operationId":"read_personal_details_personal_details__get","parameters":[{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"default":20,"title":"Size"}},{"name":"session_id","in":"query","required":false,"schema":{"anyOf":[{"type":"string","format":"uuid"},{"type":"null"}],"title":"Session Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonalDetailsResponse"},"title":"Response Read Personal Details Personal Details  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"PersonalDetailsResponse":{"properties":{"client_id":{"type":"integer","title":"Client Id"},"session_id":{"type":"string","format":"uuid","title":"Session Id"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"occupation":{"type":"string","title":"Occupation"},"source_of_funds":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Of Funds"},"nationality":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nationality"},"mobile_verification":{"type":"boolean","title":"Mobile Verification","default":false},"email_verification":{"type":"boolean","title":"Email Verification","default":false},"status":{"$ref":"#/components/schemas/VerificationStatus","default":"pending"},"risk_level":{"$ref":"#/components/schemas/RiskLevel","default":"unknown"},"country_of_birth":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country Of Birth"},"gender":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gender"},"discrepancy":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Discrepancy"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["client_id","session_id","occupation","id","created_at","updated_at"],"title":"PersonalDetailsResponse"},"VerificationStatus":{"type":"string","enum":["pending","approved","rejected"],"title":"VerificationStatus"},"RiskLevel":{"type":"string","enum":["low","medium","high","unknown"],"title":"RiskLevel"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Create Personal Details

> Submit personal details for KYC verification. This includes basic information like name, address, and contact details. This information is used to verify the identity of the individual.

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/personal-details/":{"post":{"tags":["Personal Details(KYC)"],"summary":"Create Personal Details","description":"Submit personal details for KYC verification. This includes basic information like name, address, and contact details. This information is used to verify the identity of the individual.","operationId":"create_personal_details_personal_details__post","requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonalDetailsCreate"}}}},"responses":{"201":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonalDetailsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"PersonalDetailsCreate":{"properties":{"client_id":{"type":"integer","title":"Client Id"},"session_id":{"type":"string","format":"uuid","title":"Session Id"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"occupation":{"type":"string","title":"Occupation"},"source_of_funds":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Of Funds"},"nationality":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nationality"},"mobile_verification":{"type":"boolean","title":"Mobile Verification","default":false},"email_verification":{"type":"boolean","title":"Email Verification","default":false},"status":{"$ref":"#/components/schemas/VerificationStatus","default":"pending"},"risk_level":{"$ref":"#/components/schemas/RiskLevel","default":"unknown"},"country_of_birth":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country Of Birth"},"gender":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gender"},"discrepancy":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Discrepancy"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false}},"type":"object","required":["client_id","session_id","occupation"],"title":"PersonalDetailsCreate"},"VerificationStatus":{"type":"string","enum":["pending","approved","rejected"],"title":"VerificationStatus"},"RiskLevel":{"type":"string","enum":["low","medium","high","unknown"],"title":"RiskLevel"},"PersonalDetailsResponse":{"properties":{"client_id":{"type":"integer","title":"Client Id"},"session_id":{"type":"string","format":"uuid","title":"Session Id"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"occupation":{"type":"string","title":"Occupation"},"source_of_funds":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Of Funds"},"nationality":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nationality"},"mobile_verification":{"type":"boolean","title":"Mobile Verification","default":false},"email_verification":{"type":"boolean","title":"Email Verification","default":false},"status":{"$ref":"#/components/schemas/VerificationStatus","default":"pending"},"risk_level":{"$ref":"#/components/schemas/RiskLevel","default":"unknown"},"country_of_birth":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country Of Birth"},"gender":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gender"},"discrepancy":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Discrepancy"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["client_id","session_id","occupation","id","created_at","updated_at"],"title":"PersonalDetailsResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /personal-details/summary

> Get Verification Summary

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/personal-details/summary":{"get":{"tags":["Personal Details(KYC)"],"summary":"Get Verification Summary","operationId":"get_verification_summary_personal_details_summary_get","parameters":[{"name":"client_id","in":"query","required":true,"schema":{"type":"integer","title":"Client Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"object","additionalProperties":{"type":"object","additionalProperties":{"type":"integer"}},"title":"Response Get Verification Summary Personal Details Summary Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## Get Personal Details

> Retrieve the personal details submitted for a specific verification session. This helps in reviewing the information provided by the user during the KYC process.

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/personal-details/{session_id}":{"get":{"tags":["Personal Details(KYC)"],"summary":"Get Personal Details","description":"Retrieve the personal details submitted for a specific verification session. This helps in reviewing the information provided by the user during the KYC process.","operationId":"get_personal_details_personal_details__session_id__get","parameters":[{"name":"session_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Session Id"}},{"name":"page","in":"query","required":false,"schema":{"type":"integer","minimum":1,"default":1,"title":"Page"}},{"name":"size","in":"query","required":false,"schema":{"type":"integer","maximum":100,"default":20,"title":"Size"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/PersonalDetailsResponse"},"title":"Response Get Personal Details Personal Details  Session Id  Get"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"PersonalDetailsResponse":{"properties":{"client_id":{"type":"integer","title":"Client Id"},"session_id":{"type":"string","format":"uuid","title":"Session Id"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"occupation":{"type":"string","title":"Occupation"},"source_of_funds":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Of Funds"},"nationality":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nationality"},"mobile_verification":{"type":"boolean","title":"Mobile Verification","default":false},"email_verification":{"type":"boolean","title":"Email Verification","default":false},"status":{"$ref":"#/components/schemas/VerificationStatus","default":"pending"},"risk_level":{"$ref":"#/components/schemas/RiskLevel","default":"unknown"},"country_of_birth":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country Of Birth"},"gender":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gender"},"discrepancy":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Discrepancy"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["client_id","session_id","occupation","id","created_at","updated_at"],"title":"PersonalDetailsResponse"},"VerificationStatus":{"type":"string","enum":["pending","approved","rejected"],"title":"VerificationStatus"},"RiskLevel":{"type":"string","enum":["low","medium","high","unknown"],"title":"RiskLevel"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## GET /personal-details/{details\_id}

> Read Personal Details

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/personal-details/{details_id}":{"get":{"tags":["Personal Details(KYC)"],"summary":"Read Personal Details","operationId":"read_personal_details_personal_details__details_id__get","parameters":[{"name":"details_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Details Id"}}],"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonalDetailsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"PersonalDetailsResponse":{"properties":{"client_id":{"type":"integer","title":"Client Id"},"session_id":{"type":"string","format":"uuid","title":"Session Id"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"occupation":{"type":"string","title":"Occupation"},"source_of_funds":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Of Funds"},"nationality":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nationality"},"mobile_verification":{"type":"boolean","title":"Mobile Verification","default":false},"email_verification":{"type":"boolean","title":"Email Verification","default":false},"status":{"$ref":"#/components/schemas/VerificationStatus","default":"pending"},"risk_level":{"$ref":"#/components/schemas/RiskLevel","default":"unknown"},"country_of_birth":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country Of Birth"},"gender":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gender"},"discrepancy":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Discrepancy"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["client_id","session_id","occupation","id","created_at","updated_at"],"title":"PersonalDetailsResponse"},"VerificationStatus":{"type":"string","enum":["pending","approved","rejected"],"title":"VerificationStatus"},"RiskLevel":{"type":"string","enum":["low","medium","high","unknown"],"title":"RiskLevel"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## DELETE /personal-details/{details\_id}

> Delete Personal Details

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/personal-details/{details_id}":{"delete":{"tags":["Personal Details(KYC)"],"summary":"Delete Personal Details","operationId":"delete_personal_details_personal_details__details_id__delete","parameters":[{"name":"details_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Details Id"}}],"responses":{"204":{"description":"Successful Response"},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```

## PATCH /personal-details/{details\_id}

> Update Personal Details

```json
{"openapi":"3.1.0","info":{"title":"BeetleLabs","version":"1.0.0"},"servers":[{"url":"https://beetlelabs.ai/beetlelabs-verification","description":"Local development server"}],"paths":{"/personal-details/{details_id}":{"patch":{"tags":["Personal Details(KYC)"],"summary":"Update Personal Details","operationId":"update_personal_details_personal_details__details_id__patch","parameters":[{"name":"details_id","in":"path","required":true,"schema":{"type":"string","format":"uuid","title":"Details Id"}}],"requestBody":{"required":true,"content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonalDetailsUpdate"}}}},"responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/PersonalDetailsResponse"}}}},"422":{"description":"Validation Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/HTTPValidationError"}}}}}}}},"components":{"schemas":{"PersonalDetailsUpdate":{"properties":{"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"occupation":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Occupation"},"source_of_funds":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Of Funds"},"nationality":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nationality"},"mobile_verification":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Mobile Verification"},"email_verification":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Email Verification"},"status":{"anyOf":[{"$ref":"#/components/schemas/VerificationStatus"},{"type":"null"}]},"risk_level":{"anyOf":[{"$ref":"#/components/schemas/RiskLevel"},{"type":"null"}]},"country_of_birth":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country Of Birth"},"gender":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gender"},"discrepancy":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Discrepancy"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent"}},"type":"object","title":"PersonalDetailsUpdate"},"VerificationStatus":{"type":"string","enum":["pending","approved","rejected"],"title":"VerificationStatus"},"RiskLevel":{"type":"string","enum":["low","medium","high","unknown"],"title":"RiskLevel"},"PersonalDetailsResponse":{"properties":{"client_id":{"type":"integer","title":"Client Id"},"session_id":{"type":"string","format":"uuid","title":"Session Id"},"residential_address":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Residential Address"},"occupation":{"type":"string","title":"Occupation"},"source_of_funds":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Source Of Funds"},"nationality":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Nationality"},"mobile_verification":{"type":"boolean","title":"Mobile Verification","default":false},"email_verification":{"type":"boolean","title":"Email Verification","default":false},"status":{"$ref":"#/components/schemas/VerificationStatus","default":"pending"},"risk_level":{"$ref":"#/components/schemas/RiskLevel","default":"unknown"},"country_of_birth":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Country Of Birth"},"gender":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Gender"},"discrepancy":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Discrepancy"},"consent":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Consent","default":false},"id":{"type":"string","format":"uuid","title":"Id"},"created_at":{"type":"string","format":"date-time","title":"Created At"},"updated_at":{"type":"string","format":"date-time","title":"Updated At"}},"type":"object","required":["client_id","session_id","occupation","id","created_at","updated_at"],"title":"PersonalDetailsResponse"},"HTTPValidationError":{"properties":{"detail":{"items":{"$ref":"#/components/schemas/ValidationError"},"type":"array","title":"Detail"}},"type":"object","title":"HTTPValidationError"},"ValidationError":{"properties":{"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"type":"array","title":"Location"},"msg":{"type":"string","title":"Message"},"type":{"type":"string","title":"Error Type"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.beetlelabs.ai/personal-details-kyc.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
